`timescale 1ns/1ps
//
module top(
    input clk, reset, btnCnt,
    output [15:0] LED,
    output [6:0] segment,
    output dp,
    output [3:0] digit);

    //
    //  debounce the btnCnt signal
    //
    wire btnCnt_level, btnCnt_1s;
    debouncer DEBOUNCE_COUNT(
        .clock(clk), .button(btnCnt), .level(btnCnt_level), .pulse(btnCnt_1s) );
    wire version_level, version_1s;
    //
    //  count button pushes
    //
    reg [15:0] the_count;
    always @ (posedge btnCnt_1s)
        if (reset) the_count <= 0;
        else the_count <= the_count + 1;
    assign LED = the_count;
    //
    //  display the count on the LED display and in the LEDs
    //
    display4 LED_DISPLAY (
        .clk100(clk),
        .number(the_count),
        .digit(digit),
        .segments(segment),
        .period(dp));
endmodule
